package cn.bunny.mapper;

import cn.bunny.common.spzx.model.dto.system.SysRoleDto;
import cn.bunny.common.spzx.model.entity.system.SysRole;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface SysRoleMapper {
    // 角色列表对象
    List<SysRole> findByPage(SysRoleDto sysRoleDto);

    // 角色添加的方法
    void saveSysRole(SysRole sysRole);

    // 角色修改方法
    void updateSysRole(SysRole sysRole);

    // 角色删除方法
    void deleteSysRole(Long roleId);

    // 彻底删除角色
    void deleteSysRoleByRoleId(Long roleId);
}
