package cn.bunny.common.spzx.model.dto.h5;

import cn.bunny.common.spzx.model.entity.order.OrderItem;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;


@Schema(description = "快递相关")
@Data
public class OrderInfoDto {

    @Schema(description = "送货地址id")
    private Long userAddressId;

    @Schema(description = "运费")
    private BigDecimal feightFee;

    @Schema(description = "备注")
    private String remark;

    @Schema(description = "订单明细")
    private List<OrderItem> orderItemList;
}