package cn.bunny.service;

import cn.bunny.common.spzx.model.dto.system.SysRoleDto;
import cn.bunny.common.spzx.model.entity.system.SysRole;
import com.github.pagehelper.PageInfo;

public interface SysRoleService {
    // 角色列表查询
    PageInfo<SysRole> findByPage(SysRoleDto sysRoleDto, Integer current, Integer limit);

    // 角色添加的方法
    void saveSysRole(SysRole sysRole);

    // 角色修改方法
    void updateSysRole(SysRole sysRole);

    // 角色删除方法
    void deleteSysRole(Long roleId);

    // 彻底删除角色
    void deleteSysRoleByRoleId(Long roleId);
}
